org.apache.poi.poifs.crypt

## Class EncryptionVerifier

- java.lang.Object
- - org.apache.poi.poifs.crypt.EncryptionVerifier

- All Implemented Interfaces:
    Duplicatable, GenericRecord
  Direct Known Subclasses:
    AgileEncryptionVerifier, BinaryRC4EncryptionVerifier, StandardEncryptionVerifier, XOREncryptionVerifier

      public abstract class EncryptionVerifier
      extends java.lang.Object
      implements GenericRecord, Duplicatable

  Used when checking if a key is valid for a document

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EncryptionVerifier()`
    `protected` | `EncryptionVerifier(EncryptionVerifier other)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract EncryptionVerifier` | `copy()`
    `ChainingMode` | `getChainingMode()`
    `CipherAlgorithm` | `getCipherAlgorithm()`
    `byte[]` | `getEncryptedKey()`
    `byte[]` | `getEncryptedVerifier()`
    `byte[]` | `getEncryptedVerifierHash()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `HashAlgorithm` | `getHashAlgorithm()`
    `byte[]` | `getSalt()`
    `int` | `getSpinCount()`
    `protected void` | `setChainingMode(ChainingMode chainingMode)`
    `protected void` | `setCipherAlgorithm(CipherAlgorithm cipherAlgorithm)`
    `protected void` | `setEncryptedKey(byte[] encryptedKey)`
    `protected void` | `setEncryptedVerifier(byte[] encryptedVerifier)`
    `protected void` | `setEncryptedVerifierHash(byte[] encryptedVerifierHash)`
    `protected void` | `setHashAlgorithm(HashAlgorithm hashAlgorithm)`
    `protected void` | `setSalt(byte[] salt)`
    `protected void` | `setSpinCount(int spinCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### EncryptionVerifier

          protected EncryptionVerifier()

    - #### EncryptionVerifier

          protected EncryptionVerifier(EncryptionVerifier other)

  - ### Method Detail

    - #### getSalt

          public byte[] getSalt()

    - #### getEncryptedVerifier

          public byte[] getEncryptedVerifier()

    - #### getEncryptedVerifierHash

          public byte[] getEncryptedVerifierHash()

    - #### getSpinCount

          public int getSpinCount()

    - #### getEncryptedKey

          public byte[] getEncryptedKey()

    - #### getCipherAlgorithm

          public CipherAlgorithm getCipherAlgorithm()

    - #### getHashAlgorithm

          public HashAlgorithm getHashAlgorithm()

    - #### getChainingMode

          public ChainingMode getChainingMode()

    - #### setSalt

          protected void setSalt(byte[] salt)

    - #### setEncryptedVerifier

          protected void setEncryptedVerifier(byte[] encryptedVerifier)

    - #### setEncryptedVerifierHash

          protected void setEncryptedVerifierHash(byte[] encryptedVerifierHash)

    - #### setEncryptedKey

          protected void setEncryptedKey(byte[] encryptedKey)

    - #### setSpinCount

          protected void setSpinCount(int spinCount)

    - #### setCipherAlgorithm

          protected void setCipherAlgorithm(CipherAlgorithm cipherAlgorithm)

    - #### setChainingMode

          protected void setChainingMode(ChainingMode chainingMode)

    - #### setHashAlgorithm

          protected void setHashAlgorithm(HashAlgorithm hashAlgorithm)

    - #### copy

          public abstract EncryptionVerifier copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.